cURL
curl --request PUT \ --url https://sandbox.api.acountpay.com/v1/partner/merchants/{merchantId}/stores/{storeId} \ --header 'Content-Type: application/json' \ --header 'X-Partner-Client-Id: <api-key>' \ --header 'X-Partner-Client-Secret: <api-key>' \ --data ' { "name": "<string>", "streetAddress": "<string>", "city": "<string>", "postalCode": "<string>", "countryCode": "<string>", "phone": "<string>", "email": "jsmith@example.com", "isDefault": true } '
{ "id": "loc_abc123", "name": "Downtown Branch", "locationId": "LOC-001", "streetAddress": "Nørregade 12", "city": "København", "postalCode": "1165", "countryCode": "DK", "phone": "<string>", "email": "<string>", "isDefault": true, "status": "active", "createdAt": "2023-11-07T05:31:56Z" }
Update store details. Only provided fields are updated.
Your partner client ID
Your partner client secret
Merchant ID
Store ID
Store name
Set as default store
Updated store
"loc_abc123"
"Downtown Branch"
"LOC-001"
"Nørregade 12"
"København"
"1165"
"DK"
active
inactive
"active"
Was this page helpful?